## python-pyghmi 0.5.0

=== requirements.txt ===
d2to1>=0.2.10,<0.3
pbr>=0.5.16,<0.6

pycrypto>=2

=== debian/changelog ===
python-pyghmi (0.5.0-1) unstable; urgency=low

  * Initial release. (Closes: #721907)

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Sep 2013 17:40:23 +0800

=== debian/control ===
Source: python-pyghmi
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-setuptools
Build-Depends-Indep: python-coverage,
                     python-crypto,
                     python-d2to1,
                     python-fixtures,
                     python-pbr,
                     python-sphinx,
                     python-subunit,
                     python-testscenarios,
                     python-testtools,
                     testrepository (>=0.0.13)
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pyghmi.git
Vcs-Git: git://anonscm.debian.org/openstack/python-pyghmi.git
Homepage: https://github.com/stackforge/pyghmi

Package: python-pyghmi
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-crypto,
         python-d2to1,
         python-pbr,
         ${misc:Depends},
         ${python:Depends}
Recommends: ${python:Recommends}
Description: General Hardware Management Initiative (IPMI and others)
 This is a pure Python implementation of IPMI protocol. ipmictl.py is a sample
 application to roughly show the most simple approach to invoking the library.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/stackforge/pyghmi.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	python setup.py testr --slowest
endif

## python-pyghmi 0.5.8

=== debian/changelog ===
python-pyghmi (0.5.8-0ubuntu1) trusty; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Dec 2013 13:44:06 -0500

=== debian/control ===
Source: python-pyghmi
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9.0.0), python-setuptools, python-all (>= 2.6.6-3~), python-crypto,
 python-fixtures, testrepository, python-testscenarios, python-testtools, python-pbr
Standards-Version: 3.9.5

Package: python-pyghmi
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Python implementation of IPMI protocol.
 This is a pure python implementation of IPMI protocol.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_auto_test:
	testr init && testr run

get-orig-source:
	uscan --verbose --force-download --rename --repack --download-current-version --destdir=../build-area

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/pyghmi/pyghmi-(.*)\.tar.gz

## python-pyghmi 0.6.1

=== debian/changelog ===
python-pyghmi (0.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Fixed new build-depends for this release.
  * Using testr and subunit correctly.
  * Standards-Version: is now 3.9.5.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Jun 2014 15:49:24 +0800

python-pyghmi (0.5.8-1) unstable; urgency=low

  * New upstream release.
  * Added --slowest --testr-args='--subunit  ' when calling testr.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Oct 2013 15:01:40 +0800

=== debian/control ===
Source: python-pyghmi
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr,
               python-setuptools
Build-Depends-Indep: python-coverage,
                     python-crypto,
                     python-fixtures (>= 0.3.14),
                     python-sphinx,
                     python-subunit,
                     python-testscenarios,
                     python-testtools (>= 0.9.32),
                     subunit,
                     testrepository (>=0.0.17)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pyghmi.git
Vcs-Git: git://anonscm.debian.org/openstack/python-pyghmi.git
Homepage: https://github.com/stackforge/pyghmi

Package: python-pyghmi
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-crypto,
         python-pbr,
         ${misc:Depends},
         ${python:Depends}
Recommends: ${python:Recommends}
Description: General Hardware Management Initiative (IPMI and others)
 This is a pure Python implementation of IPMI protocol. ipmictl.py is a sample
 application to roughly show the most simple approach to invoking the library.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/stackforge/pyghmi.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e && \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

## python-pyghmi 0.6.17

=== debian/changelog ===
python-pyghmi (0.6.17-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed (build-)depends for Jessie.
  * Standards-Version: 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 May 2015 11:57:23 +0000

python-pyghmi (0.6.17-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to experimental just before the Jessie freeze.
  * Fixed python-sphinx should be in build-depends and not -indep.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Sep 2014 16:08:35 +0800

## python-pyghmi 0.8.0

=== debian/changelog ===
python-pyghmi (0.8.0-2) unstable; urgency=medium

  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT to new URL
  * d/copyright: Changed source URL to new one
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <novy@ondrej.org>  Sun, 28 Feb 2016 15:47:20 +0100

python-pyghmi (0.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Oct 2015 23:04:31 +0200

=== debian/control ===
Source: python-pyghmi
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-coverage,
                     python-crypto,
                     python-fixtures,
                     python-hacking,
                     python-testscenarios,
                     python-testtools,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-pyghmi?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-pyghmi -b debian/newton
Homepage: https://github.com/stackforge/pyghmi

Package: python-pyghmi
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-crypto,
         python-pbr,
         ${misc:Depends},
         ${python:Depends},
Recommends: ${python:Recommends}
Description: General Hardware Management Initiative (IPMI and others)
 This is a pure Python implementation of IPMI protocol. ipmictl.py is a sample
 application to roughly show the most simple approach to invoking the library.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT = git://github.com/stackforge/pyghmi.git
+UPSTREAM_GIT := https://github.com/openstack/pyghmi.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(VERSION)

## python-pyghmi 1.0.32

=== requirements.txt ===
pycrypto>=2.6

=== debian/changelog ===
python-pyghmi (1.0.32-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Removed Python 2 support (Closes: #938067).

 -- Thomas Goirand <zigo@debian.org>  Sat, 14 Sep 2019 00:57:35 +0200

python-pyghmi (1.0.32-5) unstable; urgency=medium

  * Applies upstream async patch (Closes: #905213).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Aug 2018 09:31:24 +0200

python-pyghmi (1.0.32-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Fixed Python 3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Mar 2018 18:58:32 +0000

python-pyghmi (1.0.32-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 20:41:00 +0000

python-pyghmi (1.0.32-2) experimental; urgency=medium

  * Update debian/copyright years and holders list.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Feb 2018 18:14:45 +0100

python-pyghmi (1.0.32-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Standards-Version is now 4.1.3.
  * Build-depends on dh-python.
  * Using pkgos-dh_auto_{test,install}.
  * Added python3 support.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Feb 2018 17:03:24 +0000

python-pyghmi (1.0.22-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 22:52:57 +0000

python-pyghmi (1.0.22-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT to new URL
  * d/copyright: Changed source URL to new one

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.
  * Extended a bit the long description.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Oct 2017 07:05:43 +0200

=== debian/control ===
Source: python-pyghmi
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-sphinx,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-coverage,
 python3-crypto,
 python3-fixtures,
 python3-hacking,
 python3-os-testr,
 python3-oslotest,
 python3-testscenarios,
 python3-testtools,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pyghmi
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pyghmi.git
Homepage: https://github.com/stackforge/pyghmi

Package: python3-pyghmi
Architecture: all
Depends:
 python3-crypto,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Description: General Hardware Management Initiative (IPMI and others) - Python 3.x
 This is a pure Python implementation of IPMI protocol. ipmictl.py is a sample
 application to roughly show the most simple approach to invoking the library.
 With this library, you can remotely start/stop/reset your server.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/pyghmi.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-pyghmi 1.4.1

=== requirements.txt ===
cryptography>=2.1  # BSD/Apache-2.0

=== debian/changelog ===
python-pyghmi (1.4.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 10:13:06 +0200

python-pyghmi (1.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed new UPSTREAM_GIT pointing to opendev.org.
  * Fixed (build-)depends for this release.
  * Removed Python_3.7_compatibility_async_is_reserved_keyword.patch applied
    upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Sep 2019 22:33:06 +0200

=== debian/watch ===
version=3
https://github.com/stackforge/pyghmi/tags /stackforge/pyghmi/archive/(.*).tar.gz

## python-pyghmi 1.5.14

=== requirements.txt ===
cryptography>=2.1  # BSD/Apache-2.0
python-dateutil>=2.8.1  # BSD
six>=1.10.0 # MIT

=== debian/changelog ===
python-pyghmi (1.5.14-1) unstable; urgency=medium

  * New upstream release.
  * Fixed watch file URL.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Mar 2020 15:38:24 +0200

=== debian/control ===
--- 
+++ 
@@ -8,30 +8,30 @@
  debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools (>= 99~),
- python3-sphinx,
  python3-all,
  python3-pbr,
  python3-setuptools,
+ python3-sphinx,
 Build-Depends-Indep:
  python3-coverage,
- python3-crypto,
+ python3-cryptography,
  python3-fixtures,
  python3-hacking,
- python3-os-testr,
+ python3-openstackdocstheme,
  python3-oslotest,
+ python3-stestr,
  python3-testscenarios,
  python3-testtools,
  subunit,
- testrepository,
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pyghmi
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pyghmi.git
-Homepage: https://github.com/stackforge/pyghmi
+Homepage: https://opendev.org/x/pyghmi
 
 Package: python3-pyghmi
 Architecture: all
 Depends:
- python3-crypto,
+ python3-cryptography,
  python3-pbr,
  ${misc:Depends},
  ${python3:Depends},

## python-pyghmi 1.5.29

=== debian/changelog ===
python-pyghmi (1.5.29-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 13:17:38 +0200

python-pyghmi (1.5.29-1) experimental; urgency=medium

  * New upstream release.
  * Removed version of openstack-pkg-tools in build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Aug 2021 09:57:38 +0200

## python-pyghmi 1.5.34

=== debian/changelog ===
python-pyghmi (1.5.34-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 11:59:37 +0100

python-pyghmi (1.5.34-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Feb 2022 17:35:52 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 10),
  dh-python,
- openstack-pkg-tools (>= 99~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT := https://github.com/openstack/pyghmi.git
+UPSTREAM_GIT := https://opendev.org/x/pyghmi.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:

## python-pyghmi 1.5.61

=== debian/changelog ===
python-pyghmi (1.5.61-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 22:25:20 +0200

python-pyghmi (1.5.61-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 14:32:10 +0200

python-pyghmi (1.5.34-3) unstable; urgency=medium

  * Cleans properly (Closes: #1045186).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 10:07:27 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 override_dh_auto_clean:
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
+	rm -rf build *.egg-info
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-pyghmi 1.5.70

=== debian/changelog ===
python-pyghmi (1.5.70-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090594).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 23:34:58 +0100

python-pyghmi (1.5.70-3) unstable; urgency=medium

  * Add missing python3-six (build-)depends (Closes: #1086379).

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Oct 2024 13:29:01 +0100

python-pyghmi (1.5.70-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:31:36 +0200

python-pyghmi (1.5.70-1) experimental; urgency=medium

  * New upstream release.
  * Removed some of the tests build-depends upstream isn't using anymore.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Sep 2024 09:38:31 +0200

=== debian/control ===
--- 
+++ 
@@ -15,13 +15,11 @@
 Build-Depends-Indep:
  python3-coverage,
  python3-cryptography,
- python3-fixtures,
  python3-hacking,
  python3-openstackdocstheme,
  python3-oslotest,
+ python3-six,
  python3-stestr,
- python3-testscenarios,
- python3-testtools,
  subunit,
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pyghmi
@@ -33,6 +31,7 @@
 Depends:
  python3-cryptography,
  python3-pbr,
+ python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Description: General Hardware Management Initiative (IPMI and others) - Python 3.x

## python-pyghmi 1.6.2

=== requirements.txt ===

cryptography>=2.1  # BSD/Apache-2.0
python-dateutil>=2.8.1  # BSD
six>=1.10.0 # MIT

=== doc/requirements.txt ===

sphinx>=2.0.0,!=2.1.0  # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-pyghmi (1.6.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 13:21:38 +0200

python-pyghmi (1.6.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Aug 2025 17:25:42 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	find . -iname '*.pyc' -delete

=== debian/watch ===
version=3
https://github.com/openstack/pyghmi/tags /stackforge/pyghmi/archive/(.*).tar.gz
